<template>
	<div>
		<div class="card-body">
			<div class="cols c-0-1 mobile-flex">
				<div class="cell bold">Datum:</div>
				<div class="cell bg-4">{{ globalDateToString(request.timestamp, true) }}</div>
				<div class="cell bold">Absender:</div>
				<div class="cell bg-4">{{ request.name }}</div>
				<div class="cell bold">Gew&uuml;nschter Termin:</div>
				<div class="cell bg-4">
					{{ globalDateToString(request.eventDateStart) }}
					<span v-if="request.eventDateStart !== request.eventDateEnd">
						bis
						<br />{{ globalDateToString(request.eventDateEnd) }}
					</span>
				</div>
				<div class="cell bold">Telephon:</div>
				<div class="cell bg-4">{{ request.phoneNr }}</div>
				<div class="cell bold">E-Mail:</div>
				<div class="cell bg-4">{{ request.email }}</div>
				<div class="cell bold">Nachricht:</div>
				<div class="cell bg-4 nl2br">
					{{ request.message }}
				</div>
				<div class="cell c-merged button-row">
					<button @click="$router.back()" class="button button--mobile-stretch">Zur&uuml;ck</button>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: "AdminRequestsSingle",
	props: {
		id: String
	},
	data: () => ({
		request: {}
	}),
	computed: {
		fetchedRequest() {
			for (let request of this.$store.getters.getAllRequests) {
				if (request.id === parseInt(this.id)) {
					return request;
				}
			}
			return null;
		}
	},
	async mounted() {
		// Refetch on refresh
		if (!this.$store.getters.getAllRequests.length) {
			await this.$store.dispatch("getAllRequests");
		}
		this.request = this.fetchedRequest;
	}
}
</script>

<style scoped>

</style>